package serene.simple;

public abstract class Node {
    public boolean isTruthy = true;

    public abstract Object eval(Scope scope);

    public boolean equals(Node n) {
        return this == n;
    }

    @Override
    public String toString() {
        String className = this.getClass().getName();
        return String.format("%s<%s>", className, System.identityHashCode(this));
    }
}
